Subject: Re: cygcheck
From: "George Hester" <[email-masked]>
To: [email-masked]
Date: Sun, 29 Feb 2004 21:16:37 -0500

Hi Igor.

Thanks for not browbeating me.  You would be amazed at the anathema "newbies" 
such as myself often generate.

I see all the "stuff" now.  I have to decide what I want.  I am concerned
that say if I get a C compiler and headers it could interfere with the one
I have.  Same thing with make.  Mine's called nmake so not sure.

Well I'm in no rush so I'll step lightly.  Thanks for your help.

George Hester
__________________________________
"Igor Pechtchanski" wrote in message news:[email-masked]...
> George,
> 
> On Sun, 29 Feb 2004, George Hester wrote:
> 
> > Igor my mail client puts all the stuff in you mention by default.  I
> > don't usually manually remove things to make it "better" because it is
> > only in newsgroups that aren't Microsoft where this issue occurs.
> 
> Yes, Outlook is notoriously hard to configure properly.  However, I do
> believe people managed to do this (the signature is definitely
> configurable).  FYI, your posts actually go to a mailing list, so you're
> basically sending e-mail (through a portal called Gmane, which you may
> also be able to configure).  Frankly, I'm not sure what the last part of
> your sentense means (if you mean that users of Microsoft newsgroups don't
> care if their e-mail addresses get harvested by spammers, and that in most
> other newsgroups people are sensitive to this, then you're absolutely
> right -- almost nobody likes spam).
> 
> > Let me see what I can do...is that better?  Not sure if I should remove the
> > previous posts to help.
> >
> > [partial cygcheck -svr snipped]
> >
> > George Hester
> 
> The problem reporting guidelines at <http://cygwin.com/problems.html>
> which I initially referred you to request that the output of "cygcheck
> -svr" should be *attached* (as an uncompressed text attachment), rather
> than included inline, to avoid producing false positive hits in mailing
> list archive searches.  The recipe there also helps ensure that you
> include the full output of "cygcheck -svr", which you didn't, BTW.  It was
> enough for our purposes, though, as it confirmed my guesses: the list of
> packages shows that you only have the very basic set installed.  There are
> many more packages available -- you can see the full list of packages in
> the "Full" view of setup, or by visiting <http://cygwin.com/packages/>.
> 
> HTH,
> Igor
> 
> > __________________________________
> > "Igor Pechtchanski" wrote:
> > > George,
> > >
> > > FYI, I had to jump through hoops to get the full message quoted.  Top
> > > posting and signatures don't mix well, especially with mail clients that
> > > recognize the "-- " sigdashes syntax: either change your signature to not
> > > start with "-- ", or make sure your signature follows the quoted message,
> > > rather than precedes it.
> > >
> > > Also, please instruct your mailer to not quote raw e-mail addresses in
> > > replies -- they're just fodder for spam harvesters.
> > >
> > > More comments inline below.
> > >
> > > On Sun, 29 Feb 2004, George Hester wrote:
> > >
> > > > Sorry about that.  Tell me if this is better.
> > >
> > > If you mean the linewrap, then thanks, yes, this is much better.  You
> > > still didn't include any information about your system, though (i.e., the
> > > output of "cygcheck -svr").
> > >
> > > > Yes I could tell Cygwin under cygcheck -s was retrieving more information
> > > > then was in the download.  I did have it set to full.
> > > > So I don't know what more I could have gotten.
> > > > The result was as I showed.  So you think some of the items
> > > > I mentioned as Not Found should have been found choosing Full
> > > > in the Setup?  Hmmm....
> > > > --
> > > > George Hester
> > >
> > > Setting the *view* to "Full" doesn't actually select any packages - it
> > > simply displays all the available ones.  If you want to actually *install*
> > > everything, read <http://cygwin.com/faq/faq_2.html#SEC14>.
> > >
> > > FWIW, in the "Full" view, all the packages marked "Skip" aren't installed
> > > on your system, and you can select them individually.
> > >
> > > HTH,
> > > Igor
> > >
> > > > __________________________________
> > > > "Igor Pechtchanski" <pechtcha<at>cs<dot>nyu<dot>edu> wrote:
> > > > > George,
> > > > >
> > > > > Please instruct your mailer to wrap long lines, otherwise it's very hard
> > > > > to read the messages in the archives.  Thanks.  More below.
> > > > >
> > > > > On Sat, 28 Feb 2004, George Hester wrote:
> > > > >
> > > > > > I've installed the latest cygwin.  That seemed to go OK in Windows 2000
> > > > > > Server SP3.
> > > > > >
> > > > > > I started cygwin from the desktop icon made during the install process.
> > > > > >
> > > > > > I ran cygcheck -s
> > > > > >
> > > > > > I find there are a few things "not found."
> > > > > >
> > > > > > 1) cpp (good!)
> > > > > > 2) gcc
> > > > > > 3) gdb
> > > > > > 4) ld
> > > > > >
> > > > > > What are these?  Why is cpp "Not found" "(good)"?  What does that mean?
> > > > > >
> > > > > > I downloaded and installed all the options so why are some things "Not
> > > > > > found"?  Can I "find" them somewhere?  Should I "find" them?  Thanks.
> > > > >
> > > > > The cygcheck program in its "-s" mode (system information) was designed to
> > > > > cram as much useful information about your Cygwin installation as possible
> > > > > into its output, to help others in diagnosing and/or reproducing your
> > > > > problems (and, hopefully, eventually fixing them).
> > > > >
> > > > > The "installed programs" part of the output attempts to list some common
> > > > > programs that people usually ask about.  This helps in situations where
> > > > > some other version of gcc hides the Cygwin version, for example, and
> > > > > people complain that gcc doesn't work.  The fact that the programs are or
> > > > > aren't found on your system shouldn't bother you unless you need to use
> > > > > one of them.  All four of the programs that you listed are development
> > > > > tools to let you build and debug programs.
> > > > >
> > > > > Frankly, I have no idea why "cpp not found" is "(good!)".  Perhaps it used
> > > > > to be that the gcc package hid cpp in its special directory, and you
> > > > > weren't supposed to invoke it directly, but rather by passing an option to
> > > > > gcc.  AFAICS, the current package ships with that program, so perhaps that
> > > > > note is outdated and should be removed.
> > > > >
> > > > > Since these programs are in the official Cygwin packages, you, apparently,
> > > > > haven't installed everything (which is what I read your "all the options"
> > > > > to mean).  If you want to see exactly what you've installed and what's
> > > > > available, run setup.exe and switch the view to "Full" (using the button
> > > > > on the top right of the package selection page).  You will see information
> > > > > about all the packages in the distribution.  I can't really tell you more
> > > > > about your system, since you haven't attached the output of "cygcheck
> > > > > -svr" as requested in <http://cygwin.com/problems.html>.
> > > > >
> > > > > As for whether you *should* "find" them, that's entirely up to you.  If
> > > > > you don't know what "gcc" is, likely you won't need it.  If you install a
> > > > > package that requires it, hopefully that package will either pull it in or
> > > > > complain the first time it tries to use it, at which point you'll know you
> > > > > need to install it (and will be able to find it on the Cygwin package
> > > > > search page at <http://cygwin.com/packages/>).  Until then, don't bother.
> > > > >
> > > > > HTH,
> > > > > Igor
> 
> -- 
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/